function [MagOut,DirOut]=ConvertComponentsToSpeedDirRose(EastComponent,NorthComponent)
%
%  [MagOut,DirOut]=ConvertComponentsToSpeedDirRose(EastComponent,NorthComponent);
%
%  to convert speed components to magnitude and direction
%
%  this outpuuts as direction toward!
%
%
%  Contact Info:  Chris Halle
%                 cmhalle@ucdavis.edu
%
% Code governed by the same public license as the HF Radar Toolbox:
%  Basically, let others know if you update it!
%
% Copyright (C) 2008 Chris Halle
% Licence: GPL (Gnu Public License)
%
SerZ=EastComponent+(i*NorthComponent);
MagOut=abs(SerZ);
%%%%%  get directions
DirOut=(180/pi)*atan2(NorthComponent,EastComponent); %  atan2 goes from -180 to 180
    %  we need to get the directions clockwise from north now
temmark=find(DirOut>90);
DirOut(temmark)=DirOut(temmark)-360;
%
DirOut=90-DirOut;  % directions are now clockwise from north
%
return;
%
